Categories:
  - Money
License: GPL-3.0-or-later
AuthorName: Webierta
AuthorEmail: webierta@gmail.com
AuthorWebSite: https://webierta.github.io/
SourceCode: https://github.com/Webierta/precio-luz
IssueTracker: https://github.com/Webierta/precio-luz/issues

AutoName: Precio Luz

RepoType: git
Repo: https://github.com/Webierta/precio-luz

Builds:
  - versionName: 2.4.1
    versionCode: 24
    commit: a11caa04e4316eb64f383c834d9981811f7acc93
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - rm -fr /opt/android-sdk/ndk/*
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - ios
      - android/app/proguard-rules.pro
    prebuild: sed -i -e '/signingConfig /,/proguardFiles/d' android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r20

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.4.1
CurrentVersionCode: 24
